Error
A valid request URL is required to generate request examples{
"id": "<string>",
"phone_number": "<string>",
"user_id": "<string>",
"org_id": "<string>",
"country_code": "<string>",
"provider": "<string>",
"label": "<string>",
"is_verified": true,
"capabilities": {},
"inbound_agent_id": "<string>",
"outbound_agent_id": "<string>",
"sms_enabled": true,
"server_url": "<string>",
"fallback_phone_number": "<string>",
"provider_account_sid": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Phone Numbers
Create Phone Number
Register a phone number record. Requires API key authentication via Authorization: Bearer or X-API-Key header.
POST
/
phone-number
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"phone_number": "<string>",
"user_id": "<string>",
"org_id": "<string>",
"country_code": "<string>",
"provider": "<string>",
"label": "<string>",
"is_verified": true,
"capabilities": {},
"inbound_agent_id": "<string>",
"outbound_agent_id": "<string>",
"sms_enabled": true,
"server_url": "<string>",
"fallback_phone_number": "<string>",
"provider_account_sid": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
APIKeyHeaderHTTPBearer
Body
application/json
Create a new phone number record.
E.164 format phone number
Response
Successful Response
Full phone number record returned by the API.